VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::CdromTypes::BackingInfo Class Reference

The `Cdrom.BackingInfo` class contains information about the physical resource backing a virtual CD-ROM device. More...

List of all members.

## Public Member Functions
| BackingInfo ()
| Creates a default new instance.
vmware.vcenter.vm.hardware.CdromTypes.BackingType | Get_Type ()
| Backing type for the virtual CD-ROM device.
void | SetType (vmware.vcenter.vm.hardware.CdromTypes.BackingType type)
| Backing type for the virtual CD-ROM device.
string | GetIsoFile ()
| Path of the image file backing the virtual CD-ROM device.
void | SetIsoFile (string isoFile)
| Path of the image file backing the virtual CD-ROM device.
string | GetHostDevice ()
| Name of the host device backing the virtual CD-ROM device.
void | SetHostDevice (string hostDevice)
| Name of the host device backing the virtual CD-ROM device.
bool | GetAutoDetect ()
| Flag indicating whether the virtual CD-ROM device is configured to automatically detect a suitable host device.
void | SetAutoDetect (bool?autoDetect)
| Flag indicating whether the virtual CD-ROM device is configured to automatically detect a suitable host device.
vmware.vcenter.vm.hardware.CdromTypes.DeviceAccessType | GetDeviceAccessType ()
| Access type for the device backing.
void | SetDeviceAccessType (vmware.vcenter.vm.hardware.CdromTypes.DeviceAccessType deviceAccessType)
| Access type for the device backing.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Cdrom.BackingInfo` class contains information about the physical resource backing a virtual CD-ROM device.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::CdromTypes::BackingInfo::BackingInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::CdromTypes::BackingInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::CdromTypes::BackingInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::CdromTypes::BackingInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::CdromTypes::BackingInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::CdromTypes::BackingInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::CdromTypes::BackingInfo::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.vm.hardware.CdromTypes.BackingType vmware::vcenter::vm::hardware::CdromTypes::BackingInfo::Get_Type | ( |  | ) | `[inline]`

Backing type for the virtual CD-ROM device.

bool vmware::vcenter::vm::hardware::CdromTypes::BackingInfo::GetAutoDetect | ( |  | ) | `[inline]`

Flag indicating whether the virtual CD-ROM device is configured to automatically detect a suitable host device.

vmware.vcenter.vm.hardware.CdromTypes.DeviceAccessType vmware::vcenter::vm::hardware::CdromTypes::BackingInfo::GetDeviceAccessType | ( |  | ) | `[inline]`

Access type for the device backing.

override int vmware::vcenter::vm::hardware::CdromTypes::BackingInfo::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::vm::hardware::CdromTypes::BackingInfo::GetHostDevice | ( |  | ) | `[inline]`

Name of the host device backing the virtual CD-ROM device.

string vmware::vcenter::vm::hardware::CdromTypes::BackingInfo::GetIsoFile | ( |  | ) | `[inline]`

Path of the image file backing the virtual CD-ROM device.

void vmware::vcenter::vm::hardware::CdromTypes::BackingInfo::SetAutoDetect | ( | bool? | autoDetect | ) | `[inline]`

Flag indicating whether the virtual CD-ROM device is configured to automatically detect a suitable host device.

void vmware::vcenter::vm::hardware::CdromTypes::BackingInfo::SetDeviceAccessType | ( | vmware.vcenter.vm.hardware.CdromTypes.DeviceAccessType | deviceAccessType | ) | `[inline]`

Access type for the device backing.

void vmware::vcenter::vm::hardware::CdromTypes::BackingInfo::SetHostDevice | ( | string | hostDevice | ) | `[inline]`

Name of the host device backing the virtual CD-ROM device.

void vmware::vcenter::vm::hardware::CdromTypes::BackingInfo::SetIsoFile | ( | string | isoFile | ) | `[inline]`

Path of the image file backing the virtual CD-ROM device.

void vmware::vcenter::vm::hardware::CdromTypes::BackingInfo::SetType | ( | vmware.vcenter.vm.hardware.CdromTypes.BackingType | type | ) | `[inline]`

Backing type for the virtual CD-ROM device.

override string vmware::vcenter::vm::hardware::CdromTypes::BackingInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- CdromTypes.cs